/*
 *  PandoraSession.h
 *  Pandora
 *
 *  Created by John Pannell on 5/25/06.
 *  Copyright 2006 Positive Spin Media. All rights reserved.
 *
 */

#import <Cocoa/Cocoa.h>
#import "PSMWebFile.h"

@protocol PandoraSession <NSObject>
// these are messages that the session will receive from the spider

- (oneway void)addWebFile:(in bycopy PSMWebFile *)file;
- (oneway void)setIsDone:(in BOOL)flag;
- (oneway void)pauseEngine;

// logging
- (oneway void)logConsoleMessageWithURL:(in bycopy NSString *)url status:(in bycopy NSString *)status andComment:(in bycopy NSString *)comment;
- (oneway void)logNewResourceID:(in bycopy int)resourceID withURL:(in bycopy NSString *)url;
- (oneway void)logMIMEType:(in bycopy NSString *)type forResourceID:(in bycopy int)resourceID;
- (oneway void)logStatus:(in bycopy NSString*)status forResourceID:(in bycopy int)resourceID;
- (oneway void)logProgress:(in bycopy NSString *)progress forResourceID:(in bycopy int)resourceID;
- (oneway void)logComment:(in bycopy NSString *)comment forResourceID:(in bycopy int)resourceID;
- (oneway void)logIdentifyTime:(in bycopy NSString *)comment forResourceID:(in bycopy int)resourceID;
- (oneway void)logParseTime:(in bycopy NSString *)comment forResourceID:(in bycopy int)resourceID;
- (oneway void)logLoadTime:(in bycopy NSString *)comment forResourceID:(in bycopy int)resourceID;
- (oneway void)logThumbnailTime:(in bycopy NSString *)comment forResourceID:(in bycopy int)resourceID;

                                 
@end